<template>
  <div class="[ a-cluster-ui ]">
    <a-cluster-l
      :style="{
        '--a-cluster-l--justify': 'var(--a-cluster-ui--justify)',
        '--a-cluster-l--align': 'var(--a-cluster-ui--align)',
        '--a-cluster-l--space': 'var(--a-cluster-ui--space)',
        '--a-cluster-l--overflow-x': 'var(--a-cluster-ui--overflow-x)',
        '--a-cluster-l--overflow-y': 'var(--a-cluster-ui--overflow-y)',
      }"
    >
      <div>
        <!--
          @slot Child elements.
        -->
        <slot />
      </div>
    </a-cluster-l>
  </div>
</template>

<script>
export default {
  name: 'AClusterUi',
};
</script>
